View Issue Details

IDProjectCategoryView StatusLast Update
0002522PartDesignBugpublic2017-05-30 22:57
ReporterFreedom1 Assigned Tojnxd  
PrioritynormalSeveritymajorReproducibilitysometimes
Status assignedResolutionopen 
OSFedora LinuxOS Version23 _ 64 bit 
Product Version0.15 
Summary0002522: part design fillet and chamfer tool will not reproduce same edge# or face#
DescriptionBug appears upon reload of part or regeneration of part due to deleting chamfers or fillets in the model on subsequent chamfers or fillets down the feature list. The identity of each edge or face seems to be determined uniquely upon regeneration of model.
By removing features earlier in the model list the edge# or face# identity seems to become renumbered, thereby causing the associated fillet or chamfer to attach to other edges or faces than originally selected.
Steps To ReproduceTake a given model with about a dozen features: a pad, cylinders boolean subtractions for holes, fillets, chamfers
Then remove some features, save part, close part, reload part.
Frequently upon reloading the features reassign to the edge# or face# with the same number, but whose identity is different from the original model (a different edge or face).
Additional InformationFedora repository FreeCAD version 0.15
4671 Git
TagsNo tags attached.
FreeCAD Information

Relationships

child of 0000922 assignedjnxd FreeCAD Topological Naming 

Activities

Freedom1

2016-04-25 01:22

reporter  

G-R02.fcstd (77,589 bytes)

ezzieyguywuf

2016-05-09 22:46

developer   ~0007074

I cannot reproduce this bug. Can you please provide step-by-step instructions on how to reproduce, and provide a sample file?

normandc

2016-06-25 21:30

manager   ~0007159

Last edited: 2016-06-25 21:30

View 2 revisions

Your FreeCAD version is obsolete. 0.16.670x was released in April of this year. Therefore bugs should be reported for the current stable version, not 0.15.

In any case this sounds like the topology naming problem. 0000922

Kunda1

2017-01-28 12:03

administrator   ~0008047

@Freedom1 please respond by:
1) Testing on the current stable version of FreeCAD (at this time it's 0.16) and reporting back
2) Sharing the contents of Help > About FreeCAD > Copy to clipboard

Kunda1

2017-02-14 16:17

administrator   ~0008292

Reminder sent to: wmayer

@wmayer do you mind weighing in on this ticket?

abdullah

2017-05-30 22:43

manager   ~0009203

@kunda

I would add a topology naming tag.

Kunda1

2017-05-30 22:57

administrator   ~0009204

I'm assigning them to jnxd.

Issue History

Date Modified Username Field Change
2016-04-25 01:22 Freedom1 New Issue
2016-04-25 01:22 Freedom1 File Added: G-R02.fcstd
2016-04-27 12:19 ickby Relationship added child of 0000922
2016-05-09 22:46 ezzieyguywuf Note Added: 0007074
2016-06-25 21:30 normandc Note Added: 0007159
2016-06-25 21:30 normandc Note Edited: 0007159 View Revisions
2017-01-28 12:03 Kunda1 Note Added: 0008047
2017-01-28 12:03 Kunda1 Status new => feedback
2017-01-28 12:03 Kunda1 Tag Attached: #pending
2017-02-14 16:17 Kunda1 Note Added: 0008292
2017-05-30 22:43 abdullah Note Added: 0009203
2017-05-30 22:56 Kunda1 Assigned To => jnxd
2017-05-30 22:56 Kunda1 Status feedback => assigned
2017-05-30 22:56 Kunda1 Tag Detached: #pending
2017-05-30 22:57 Kunda1 Note Added: 0009204